%define		_state		stable
%define		orgname		kturtle

Summary:	K Desktop Environment - A Logo interpreter
Summary(pl.UTF-8):	K Desktop Environment - Interpreter języka Logo
Name:		kde4-kturtle
Version:	4.14.3
Release:	2
License:	GPL
Group:		X11/Applications/Science
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	e6e6be6abdec8e0ed32480c6b260d489
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel >= %{version}
Obsoletes:	kde4-kdeedu-kturtle < 4.6.99
Obsoletes:	kturtle <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KTurtle is a Logo programming language interpreter for KDE. The Logo
programming language is very easy and thus it can be used by young
children. A unique quality of Logo is that the commands or
instructions can be translated (please see the translation how to if
you want to help in your own language), so the 'programmer' can
program in his or her native language. This makes Logo ideal for
teaching kids the basics of programming, mathematics and geometry. One
of the reasons many children like Logo is because of the turtle, a
programmable icon which can be moved around the screen with simple
commands and can be programmed to draw objects.

KTurtle features:
- integrated Logo interpreter, no need to download any other program
- powerful editor for the Logo commands with syntax highlighting, line
  numbering and more
- nice "playground" for the turtle where your commands visualized
- translation of the Logo commands (among others in: Dutch, French
  German, Latin and Swedish)
- context help for each Logo command

%description -l pl.UTF-8
KTurtle to interpreter języka programowania Logo dla KDE. Język Logo
jest bardzo łatwy, przez co może być używany przez małe dzieci.
Unikalna jakość Logo polega na tym, że polecenia czy instrukcje mogą
być tłumaczone (proszę zobaczyć howto dla tłumaczy, aby pomóc przy
tłumaczeniu na własny język), dzięki czemu "programista" może
programować w języku ojczystym. To czyni Logo idealnym do nauki dzieci
podstaw programowania, matematyki i geometrii. Jednym z powodów, dla
których wiele dzieci lubi Logo, jest żółw - programowalna ikona, którą
można przesuwać po ekranie prostymi poleceniami i programować do
rysowania obiektów.

Możliwości KTurtle:
- zintegrowany interpreter Logo, nie trzeba ściągać żadnego innego
  programu
- potężny edytor do poleceń Logo z podświetlaniem składni,
  numerowaniem linii itp.
- ładne "boisko" dla żółwia, gdzie wizualizowane są polecenia
- tłumaczenia poleceń Logo (m.in. na język francuski, holenderski,
  łaciński, niemiecki i szwedzki)
- pomoc kontekstowa dla każdego polecenia Logo.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kturtle
%{_desktopdir}/kde4/kturtle.desktop
%{_datadir}/appdata/kturtle.appdata.xml
%{_datadir}/apps/kturtle
%{_iconsdir}/hicolor/*x*/apps/kturtle.png
%{_iconsdir}/hicolor/scalable/apps/kturtle.svgz
%{_datadir}/config/kturtle.knsrc
%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kturtle.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> fcc62b8
- rebuild for g++ ABI changes
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 825cc85
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2f4d986
- updated to 4.14.0
- appdata file packaged

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2304dc7
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 9086966
- updated to 4.13.1 (by update-kde4.sh)

* Sun May 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 43ba4af
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a9bc95d
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> b72377d
- updated to 4.12.3 (by update-kde4.sh)

* Wed Feb 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6988528
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 7401171
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 2499714
- up to 4.12.0

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 38ad333
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> f99535c
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> fbdd281
- updated to 4.9.4

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> a61d830
- fix invalid pl locale

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 99ca712
- updated to 4.9.1.

* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> 17cc77a
- updated to 4.9.0.

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> eafaaee
- up to 4.8.0; now as kde4-kturtle

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 609db9b
- up to 4.7.3

* Wed Sep 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b4336ce
- up to 4.7.1

